Bug 1863088 - PEGTL: FTBFS in Fedora rawhide/f33
Summary: PEGTL: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PEGTL
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-08-03 15:04 UTC by Fedora Release Engineering
Modified: 2020-09-25 16:51 UTC (History)
2 users (show)

Fixed In Version: PEGTL-2.8.3-1.fc32 PEGTL-2.8.3-1.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-16 14:44:21 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-08-03 15:04 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-08-03 15:04 UTC, Fedora Release Engineering
no flags Details
state.log (951 bytes, text/plain)
2020-08-03 15:04 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 15:04:22 UTC
PEGTL failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=47922473


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix PEGTL at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
PEGTL will be orphaned. Before branching of Fedora 34,
PEGTL will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 15:04:25 UTC
Created attachment 1703374 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-08-03 15:04:26 UTC
Created attachment 1703375 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 15:04:27 UTC
Created attachment 1703376 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 13:52:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Fedora Update System 2020-09-08 10:40:20 UTC
FEDORA-2020-99059f3e8e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-99059f3e8e

Comment 6 Fedora Update System 2020-09-08 10:40:21 UTC
FEDORA-2020-63336e56e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-63336e56e9

Comment 7 Fedora Update System 2020-09-08 15:23:14 UTC
FEDORA-2020-99059f3e8e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-99059f3e8e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-99059f3e8e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-08 20:57:07 UTC
FEDORA-2020-63336e56e9 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-63336e56e9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-63336e56e9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-16 14:44:21 UTC
FEDORA-2020-99059f3e8e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-09-25 16:51:34 UTC
FEDORA-2020-63336e56e9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.